org.fife.ui.rsyntaxtextarea

## Class RSyntaxTextAreaEditorKit.EndWordAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - org.fife.ui.rtextarea.RecordableTextAction
      - - org.fife.ui.rtextarea.RTextAreaEditorKit.EndWordAction
        - - org.fife.ui.rsyntaxtextarea.RSyntaxTextAreaEditorKit.EndWordAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  RSyntaxTextAreaEditorKit

    protected static class RSyntaxTextAreaEditorKit.EndWordAction
    extends RTextAreaEditorKit.EndWordAction

Positions the caret at the end of the word. This class is here to better handle finding the "end of the word" in programming languages.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
`protected` `RSyntaxTextAreaEditorKit.EndWordAction(String name, boolean select)`

### Method Summary

Methods
`protected int` `getWordEnd(RTextArea textArea, int offs)`

### Methods inherited from class org.fife.ui.rtextarea.RTextAreaEditorKit.EndWordAction

`actionPerformedImpl, getMacroID`

### Methods inherited from class org.fife.ui.rtextarea.RecordableTextAction

`actionPerformed, getAccelerator, getDescription, getIcon, getMnemonic, getName, isRecordable, setAccelerator, setMnemonic, setMnemonic, setName, setProperties, setRecordable, setShortDescription`

### Methods inherited from class javax.swing.text.TextAction

`augmentList, getFocusedComponent, getTextComponent`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSyntaxTextAreaEditorKit.EndWordAction

    protected RSyntaxTextAreaEditorKit.EndWordAction(String name,
                                          boolean select)

### Method Detail

#### getWordEnd

    protected int getWordEnd(RTextArea textArea,
                 int offs)
                      throws BadLocationException

Overrides:
  `getWordEnd` in class `RTextAreaEditorKit.EndWordAction`
Throws:
  `BadLocationException`